Public Class frmKundeAnsprechpartnerTeams
    Dim KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert
    Dim KUNDE As VERAG_PROG_ALLGEMEIN.cKunde
    ' Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL

    Sub New(KUNDE As VERAG_PROG_ALLGEMEIN.cKunde, KUNDE_ERW As VERAG_PROG_ALLGEMEIN.cKundenErweitert)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.KUNDE = KUNDE
        Me.KUNDE_ERW = KUNDE_ERW
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub frmKundeAnsprechpartnerTeams_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim FirmaTmP = VERAG_PROG_ALLGEMEIN.cAllgemein.getFirmaFromFiliale2(KUNDE.FilialenNr)

        MyComboBox1.fillWithSQL("SELECT [team_id],[team_bezeichnung] FROM [tblTeams] where team_firma='" & FirmaTmP & "'", False, "ADMIN", True)
        MyComboBox2.fillWithSQL("SELECT mit_id,mit_nname + ' ' + mit_vname + ' (' + mit_niederlassung +')' Mitarbeiter   FROM tblMitarbeiter where (mit_firma='" & FirmaTmP & "' OR mit_FirmaHaupt='" & FirmaTmP & "') AND mit_abteilung IN ('ZOLL','QS','DISPO') and mit_gekuendigt=0 and mit_pseudoUser=0 and mit_ChatBenutzer=1 order by Mitarbeiter", False, "ADMIN", True)


        If KUNDE_ERW IsNot Nothing Then
            MyComboBox1.changeItem(If(KUNDE_ERW.kde_TeamId, ""))
            MyComboBox2.changeItem(If(KUNDE_ERW.kde_TeamMAId, ""))
        End If
    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        KUNDE_ERW.kde_TeamId = If(MyComboBox1._value = "", Nothing, MyComboBox1._value)
        KUNDE_ERW.kde_TeamMAId = If(MyComboBox2._value = "", Nothing, MyComboBox2._value)
        If KUNDE_ERW.SAVE Then
            Me.Close()
            Me.DialogResult = DialogResult.OK
        Else
            Me.DialogResult = DialogResult.None
        End If

    End Sub
End Class